Subject: Re: [Ecrit] draft-ietf-ecrit-additional-data-11: Question on possible conflict between language feature tag and data provider language, defined in section 3.1.6

From: Hannes Tschofenig <[email-masked]>
Date: Tue, 22 Oct 2013 17:43:39 +0200

Hi Christer,

I agree with Brian's response and I added a few lines of text to clarify 
the relationship between the proposed element and the language tag.

Here is the text:

-----

3.1.6.  Data Provider Languages(s) Supported

    Data Element:  Data Provider Language(s) supported

    Use:  Required.

    XML Element:  <Language>

    Description:  The language used by the entity at the Data Provider
       Contact URI as an alpha 2-character code as defined in ISO
       639-1:2002 Codes for the representation of names of languages --
       Part 1: Alpha-2 code Multiple instances of this element may occur.
       Order is significant; preferred language should appear first.  The
       content MUST reflect the languages supported at the contact URI.

       Note that the 'language' media feature tag, defined in RFC 3840
       [RFC3840] and the more extensive language negotiation mechanism
       proposed with [I-D.gellens-negotiating-human-language] are

-----

Is this OK for you? Do you think it will help to clarify?

Ciao
Hannes

On 08/06/2013 05:33 PM, Brian Rosen wrote:
> That feature is not the spoken or signed or typed language in the media.
>   There is an ongoing effort to provide a facility to negotiate those,
> but even still, it's useful to know in advance of a call what languages
> the service provider can handle.
>
> Brian
>
> On Tuesday, August 6, 2013, Christer Holmberg wrote:
>
>     Hi,____
>
>     __ __
>
>     In SIP, it is possible to indicate supported languages using the
>     “language” media feature tag, defined in RFC 3840.____
>
>     __ __
>
>     Is the semantics different from the data provider language defined
>     in the additional-data draft?____
>
>     __ __
>
>     Do we need to say something about which/how to use?____
>
>     __ __
>
>     Regards,____
>
>     __ __
>
>     Christer____
>
>     __ __
>
>
>
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit
>

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 22 Oct 2013 18:38:16 +0000

Hi Hannes,

When reading the description, I still don't see the difference: the media feature that also indicate the supported languages.

But, if you could provide me with the full note (it seems like you didn't copy all text), maybe I'll understand better :)

Regards,

Christer

________________________________
From: Hannes Tschofenig [[email-masked]]
Sent: Tuesday, 22 October 2013 6:43 PM
To: Brian Rosen; Christer Holmberg
Cc: [email-masked]
Subject: Re: [Ecrit] draft-ietf-ecrit-additional-data-11: Question on possible conflict between language feature tag and data provider language, defined in section 3.1.6

Hi Christer,

Here is the text:

-----

    Use:  Required.

    XML Element:  <Language>

-----

Ciao
Hannes